.main-eshop {

}

    .main-eshop .page-title {
        display: none;
    }

    .main-eshop .products {
        margin-top: calc( 0.5 * var(--grid-gutter ) ) !important;
    }

        .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
            margin-bottom: calc( 1 * var(--grid-gutter ) ) !important;
        }

.woocommerce-pagination { 
    clear: both;
    padding-top: calc( 0.5 * var(--grid-gutter ) ) !important;
    margin-bottom: calc( 1 * var(--grid-gutter ) ) !important;
    height: 5.5rem;
}

    .woocommerce nav.woocommerce-pagination ul {
        border: none;
        height: 5rem;
        font-family: var(--font-sans-serif) !important;
    }

        .woocommerce nav.woocommerce-pagination ul li,
        .woocommerce nav.woocommerce-pagination ul li a,
        .woocommerce nav.woocommerce-pagination ul li span { 
            border: none;
            width: 5.2rem;
            height: 5.2rem;
            border-radius: 50%;
        }

        .woocommerce nav.woocommerce-pagination ul li a, 
        .woocommerce nav.woocommerce-pagination ul li span { 
            line-height: 3rem;
            font-size: 2rem;
        }


.onsale {
   background-color: var(--color-pink) !important; 
   font-weight: 900 !important;
   color: var(--color-black) !important;
   padding: 0.5rem !important;
   border-radius: 50% !important;
   min-width: 8rem !important;
   min-height: 8rem !important;
   line-height: 7rem !important;
   opacity: 1 !important;
   z-index: 999999 !important;
}

.woocommerce .woocommerce-loop-product__title, .woocommerce .price {
    font-size: calc(var(--base-font-size) * var(--font-scale) * var(--font-scale) * var(--font-scale) * var(--font-scale)) !important;
}

bdi {
    font-weight: 900;
    color: var(--color-green) !important;
}

.button.add_to_cart_button,
.button.single_add_to_cart_button,
.actions .button {
    color: var(--color-red-light) !important;
    background: none !important;
    border: 0.4rem solid var(--color-red-light) !important;
    border-radius: 6rem !important;
    font-family: var(--font-sans-serif-bold) !important;
    letter-spacing: 0.2rem !important;
    line-height: 3rem !important;
    padding: 0.5rem 1.5rem !important;
}

.button.wc-forward,
.checkout-button.button.wc-forward,
#place_order {
    color: var(--color-white) !important;
    background: var(--color-red-light) !important;
    border: 0.4rem solid var(--color-red-light) !important;
    border-radius: 6rem !important;
    font-family: var(--font-sans-serif-bold) !important;
    font-size: 1.6rem !important;
    letter-spacing: 0.2rem !important;
    line-height: 3rem !important;
    padding: 0.5rem 1.5rem !important;
}

.cart svg {
    width: 2.5rem;
    height: 2.5rem;
    float: left;
    margin: 0.6rem -1.5rem 0 1rem;
}

.responsiville-mobimenu-open .cart svg {
    width: 1.5rem;
    height: 1.5rem;
    margin: 0 -1.5rem 0 1rem;
    float: none;
}

.laptop .cart svg {
    display: none;
}

.desktop .cart svg {
    display: inline-block;
}

    .cart svg path {
        fill: var(--color-gray-light-x) !important;
    }

    .responsiville-mobimenu-open .cart svg path {
        fill: var(--color-white) !important;
    }

.orderby {
    border: 0.1rem solid var(--color-gray-light-x) !important;
}

    .woocommerce-ordering select,
    .woocommerce-ordering option {
        font-family: var(--font-sans-serif-bold) !important;
    }

.woocommerce-result-count {
    line-height: 4.8rem !important;
}

/* Single Product */

.product_title.entry-title {
    display: none;
}

.related.products {
    clear: both;
    margin-top: calc( 0.5 * var(--grid-gutter ) ) !important;
    background: var(--color-gray-light-xx);
    padding: var(--grid-gutter );
}

    .related.products .products {
        clear: both;
        float: none;
    }

        .related.products .products li.product {
            margin-bottom: 0 !important;
        }

.woocommerce-product-attributes.shop_attributes,
.woocommerce-product-attributes.shop_attributes tr,
.woocommerce-product-attributes.shop_attributes th,
.woocommerce-product-attributes.shop_attributes td {
    border: none !important;
    background: none !important;
    text-align: left;
    width: auto !important;
    padding: 0.5rem 1rem 0.5rem 0 !important;
    font-family: var(--font-sans-serif-normal) !important;
    margin: 0 !important;
    vertical-align: bottom;
}

.woocommerce-product-attributes.shop_attributes th::after {
    content: ":";
}

.woocommerce-product-attributes.shop_attributes p {
    padding: 0.25rem 1rem 0.25rem 0 !important;
    margin: 0 !important;
    line-height: 120%;

}

.product_meta {

}

    .product_meta > span {
        display:block;
    }

    .product_meta span {
        font-family: var(--font-sans-serif-normal) !important;
        font-weight: 700;
        font-size: var(--base-font-size);
        padding: 0.5rem 1rem 0.5rem 0 !important;
    }

        .product_meta span .sku,
        .product_meta span a {
            font-weight: 200;
            font-size: 1.8rem;
        }

    .summary.entry-summary h2 {
        margin-top: calc( 1 * var(--grid-gutter ) ) !important;
        font-size: 2rem !important;
        padding-bottom: 1.5rem;
    }

    .woocommerce-product-gallery__image a {
        width: 100% !important;
    }

    input.input-text {
        border: 0.1rem solid var(--color-gray-light-x) !important;
        margin-right: 1rem;
    }

    .entry-summary .price {
        padding-bottom: 2rem;
    }

        .entry-summary .price .woocommerce-Price-amount {
            font-size: 4rem;
            font-weight: 900 !important;
        }

/* Cart */

.woocommerce .quantity .qty {
    min-width: 8rem !important;
}

.top-bar-item.cart {
    display: none;
}

.responsiville-mobimenu-open .top-bar-item.cart {
    display: block;
    width: 100%;
    padding: 2rem 5rem;
    text-align: center;
    color: var(--color-white);
}

.header-menus .top-bar-item.cart,
.responsiville-scrollmenu-active .top-bar-item.cart {
    display: block;
    color: var(--color-black);
}

.header-menus .top-bar-item.cart {
    margin-top: 3.5rem;
    height: 3rem;
    line-height: 3rem;
}

.responsiville-scrollmenu-active .top-bar-item.cart {
    margin-top: 0;
    height: 3rem;
    line-height: 3rem;
}

.cart {

}

.cart .cart-scroll a,
.top-bar-item.cart a {
    font-size: 1.8rem;
    margin: 0 0 0 0.4rem;
    padding: 0 2rem;
    font-family: var(--font-sans-serif-bold);
    color: var(--blue-dark);
    line-height: 4rem;
}

.woocommerce table.shop_table {
    border: none !important;
    border-radius: 0 !important;
    margin: 0 !important;
}

.woocommerce table tr,
.woocommerce table th,
.woocommerce table td {
    border: none !important;
    text-align: left;
    width: auto !important;
    padding: 1rem !important;
    font-family: var(--font-sans-serif-normal) !important;
    margin: 0 !important;
    vertical-align: bottom;
}

.cart-collaterals {
    margin-top: calc( 1 * var(--grid-gutter ) ) !important;
}

#coupon_code {
    min-width: 25rem;
}

/* Checkout */

#order_comments {
    border: 1px solid var(--color-black);
}

.woocommerce-billing-fields span.selection,
.woocommerce-billing-fields input {
    font-family: var(--font-sans-serif-normal) !important;
}

.woocommerce-billing-fields span.selection {
    border: none !important;
}

    .woocommerce-billing-fields span.selection span {
        padding: 0.8rem;
        height: 6rem;
        line-height: 100%;
        border-radius: 0;
    }

    .woocommerce-billing-fields span.selection > span {
        border: 0.1rem solid var(--color-gray-light-x) !important;
    }

.laptop #customer_details,
.laptop #order_review,
.laptop #order_review_heading {
    float: left;
    width: 50%;
}

    #customer_details .col-1,
    #customer_details .col-2 {
        width: 100%;
        padding-right: calc( 0.3 * var(--grid-gutter ) ) !important;
    }

    #order_review,
    #order_review_heading {
        padding-left: calc( 0.3 * var(--grid-gutter ) ) !important;
    }

    .woocommerce-additional-fields h3 {
        padding-top: 3rem;
    }

.custom-notes-text {
    padding-bottom:3rem;
}

/* Sidebar */

#sidebar {
    background: var(--color-gray-light-xx); 
    padding-left: calc( 0.5 * var(--grid-gutter ) ) !important;
    padding-right: calc( 0.5 * var(--grid-gutter ) ) !important;
    padding-bottom: calc( 0.5 * var(--grid-gutter ) );
}

    #sidebar .widgettitle {
        padding: 2rem 0;
    }

/* make list item be relative, to be able to position toggle within this item, if desired */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent {
    position: relative; 
}

/* the new toggle element wrapper, which is added via jQuery */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent .woo-cat-toggle {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    margin-left: 0.5rem;
    width: 1.5rem;
    line-height: 1em;
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    transition: all 0.4s ease;
    width: 2.4rem;
    height: 2.4rem;
    background: var(--color-blue);
    color: var(--color-white);
    text-align: center;
    line-height: 2rem;
    border-radius: 50%;
}

/* when it's popped, style the toggle wrapper differently */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent .woo-cat-toggle.cat-popped {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    background: var(--color-pink);
    color: var(--color-white);
}

/* toggle icon */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent .woo-cat-toggle::before {
    font-weight: normal;
    font-style: normal;
    font-size: 2.4rem;
    text-transform: none;
    speak: none;
    content: '+';
    line-height: 2.4rem;
    width: 2.4rem;
    height: 2.4rem;
    text-align: center;
}

/* toggle icon when triggered */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent .woo-cat-toggle.cat-popped::before {
    content: '-';
}

/* hide sub cats by default */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent .woo-cat-toggle ~ ul.children {
    overflow: hidden;
    max-height: 0;
    transition: all 0.4s ease;
}

/* show sub cats when triggered via jQuery toggle */
#sidebar .widget_product_categories ul.wpb_category_n_menu_accordion_list > li.cat-parent .woo-cat-toggle.cat-popped ~ ul.children {
    max-height: 5000rem;
}

.wpb_category_n_menu_accordion_list .cat-item {
    padding: 0.2rem 0 !important;
}

.wpb_category_n_menu_accordion_list .cat-item .children a {
    display: inline-block;
    font-weight: 100;
}

.wpb_category_n_menu_accordion_list .cat-item a:hover {
    background: var(--color-gray-light-x) !important;
}

    .wpb_category_n_menu_accordion_list .cat-item > a {
        color: var(--color-black);
        font-size: 2rem;
        font-weight: 900;
    }

    .wpb_category_n_menu_accordion_list .cat-item > a::after,
    .wpb_category_n_menu_accordion_list .cat-item > a::before {
        display: none !important;
    }

    .wpb_category_n_menu_accordion_list .cat-item.current-cat > a,
    .wpb_category_n_menu_accordion_list .cat-item.current-cat-parent > a,
    .wpb_category_n_menu_accordion_list .cat-item.current-cat-parent .current-cat-parent > a,
    .wpb_category_n_menu_accordion_list .cat-item.current-cat-parent .current-cat-parent .cat-item.current-cat > a {
        color: var(--color-red);
    }

    .wpb_category_n_menu_accordion_list .cat-item .children {
        padding-left: calc( 0.3 * var(--grid-gutter ) );
    }

    .wpb_category_n_menu_accordion_list .cat-item .children a {
        color: var(--color-black);
        display: block;
        padding-right: 20px !important;
    }

    .wpb_category_n_menu_accordion_list .cat-item .children .children a {
        color: var(--color-gray);
    }

    .product-parent-category {
        display: none !important;
    }

    #payment .wc_payment_method input,
    #payment .wc_payment_method label {
        display: inline-block !important;
        width: auto !important;
    }

    .woocommerce-terms-and-conditions-wrapper .woocommerce-privacy-policy-text {
        display: none !important;
    }